org.apache.http.impl.cookie

## Class BrowserCompatVersionAttributeHandler

- java.lang.Object
- - org.apache.http.impl.cookie.AbstractCookieAttributeHandler
  - - org.apache.http.impl.cookie.BrowserCompatVersionAttributeHandler

All Implemented Interfaces:
  CommonCookieAttributeHandler, CookieAttributeHandler

Deprecated.
(4.4) no longer used.

    @Deprecated
    @Contract(threading=IMMUTABLE)
    public class BrowserCompatVersionAttributeHandler
    extends AbstractCookieAttributeHandler
    implements CommonCookieAttributeHandler

`"Version"` cookie attribute handler for BrowserCompat cookie spec.

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`BrowserCompatVersionAttributeHandler()` Deprecated.

### Method Summary

Methods
`String` `getAttributeName()` Deprecated.
`void` `parse(SetCookie cookie, String value)` Deprecated. Parse cookie version attribute.

### Methods inherited from class org.apache.http.impl.cookie.AbstractCookieAttributeHandler

`match, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.http.cookie.CookieAttributeHandler

`match, validate`

### Constructor Detail

#### BrowserCompatVersionAttributeHandler

    public BrowserCompatVersionAttributeHandler()

Deprecated.

### Method Detail

#### parse

    public void parse(SetCookie cookie,
             String value)
               throws MalformedCookieException

Deprecated.
Parse cookie version attribute.

Specified by:
  `parse` in interface `CookieAttributeHandler`
Parameters:
  `cookie` - `Cookie` to be updated
  `value` - cookie attribute value from the cookie response header
Throws:
  `MalformedCookieException`

#### getAttributeName

    public String getAttributeName()

Deprecated.

Specified by:
  `getAttributeName` in interface `CommonCookieAttributeHandler`